## libpwizlite 3.0.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

# CMake script for pwizlite library
# Author: Filippo Rusconi
# Created: 29/05/2020

############################################################
############################################################
# Basic information about project

set(PROJECT libpwizlite)
project(${PROJECT} CXX C)

set(PWIZLITE_VERSION_MAJOR "3")
set(PWIZLITE_VERSION_MINOR "0")
set(PWIZLITE_VERSION_PATCH "10")
set(PWIZLITE_VERSION "${PWIZLITE_VERSION_MAJOR}.${PWIZLITE_VERSION_MINOR}.${PWIZLITE_VERSION_PATCH}")

message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")

# This line MUST be located prior to include'ing GNUInstallDirs !!!
# if CMAKE_INSTALL_PREFIX is /usr/local (default), then
# the CMAKE_LIBRARY_ARCHITECTURE above is not honoured when
# computing the CMAKE_INSTALL_FULL_LIBDIR.

set(CMAKE_INSTALL_PREFIX /usr)
message(STATUS "Set CMAKE_INSTALL_PREFIX to ${CMAKE_INSTALL_PREFIX}")

include(GNUInstallDirs)

message(STATUS "Install directory prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "CMAKE_INSTALL_FULL_LIBDIR: ${CMAKE_INSTALL_FULL_LIBDIR}")
message(STATUS "CMAKE_INSTALL_FULL_INCLUDEDIR: ${CMAKE_INSTALL_FULL_INCLUDEDIR}")

# Add folder where are supportive functions
set(CMAKE_UTILS_PATH ${CMAKE_SOURCE_DIR}/CMakeStuff)
set(CMAKE_TOOLCHAINS_PATH ${CMAKE_UTILS_PATH}/toolchains)
set(CMAKE_MODULE_PATH ${CMAKE_UTILS_PATH}/modules)
#message("CMAKE_MODULE_PATH:" ${CMAKE_MODULE_PATH})

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Include the system's uname that fills in SYSTEM_UNAME_S.
# Sets WIN64 if SYSTEM_UNAME_S is "^.*MING64.*"
include(${CMAKE_UTILS_PATH}/systemUname.cmake)

# Include the various colors we want to use in the output
include(${CMAKE_UTILS_PATH}/outputColors.cmake)

set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_VERBOSE_MAKEFILE ON)

message("\n${BoldRed}Configuring build for project ${PROJECT}${ColourReset}\n")

# This export will allow using the flags to be used by
# youcompleteme (vim plugin).
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

if(EXISTS "${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json")
    execute_process(
        COMMAND cmake -E copy_if_different ${CMAKE_CURRENT_BINARY_DIR}/compile_commands.json
                ${CMAKE_CURRENT_SOURCE_DIR}/compile_commands.json
    )
endif()

# We want C++17
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
message(STATUS "Set CMAKE_CXX_STANDARD to 17 (required)")
message(STATUS "${BoldGreen}CMAKE_CXX_COMPILER: ${CMAKE_CXX_COMPILER}${ColourReset}")

#############################################################
# We do not want warnings for unknown pragmas:
message(STATUS "Setting definition -Wno-unknown-pragmas.${ColourReset}")
add_definitions(-Wno-unknown-pragmas)
# Enable warnings and possibly treat them as errors
message(STATUS "${BoldGreen}Setting definition -Wall.${ColourReset}")
add_definitions(-Wall)
message(STATUS "${BoldGreen}Setting definition -Wextra.${ColourReset}")
add_definitions(-Wextra)

if(WARN_AS_ERROR)
    message(STATUS "${BoldYellow}Setting definition -Werror.${ColourReset}")
    add_definitions(-Werror)
endif()

message(STATUS "${BoldRed}CMAKE_SOURCE_DIR: ${CMAKE_SOURCE_DIR}${ColourReset}")

# Initialize a list variable that will be updated depending on the specific
# platforms below.
list(APPEND PLATFORM_SPECIFIC_LINK_LIBRARIES "")
#############################################################
#############################################################
# Platform-specific CMake configuration
if(MXE)
    include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)

    # Set the name to the systemUname variable because in this situation that name
    # is not found, it it passed as a flag in the command line.
    set(SYSTEM_UNAME_S "mxe")

elseif(UNIX AND NOT APPLE)

    include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)

elseif(WIN32 OR _WIN32)

    if(WIN10MINGW64)

        # The file below will actually #define WIN10MINGW64 for
        # consumption by the src/pwiz/utility/misc/Filesystem.cpp file !
        include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)

    endif()

elseif(APPLE)

    include(${CMAKE_TOOLCHAINS_PATH}/apple-macport-toolchain.cmake)

endif()

message("")
message(STATUS "${BoldGreen}Starting configuration of ${PROJECT}${ColourReset}")
message("")
message(STATUS "${BoldYellow}The build toolchain is: ${SYSTEM_UNAME_S}${ColourReset}")
message("")

#############################################################
#############################################################
# Essential software configuration
message(STATUS "CMAKE_CURRENT_BINARY_DIR: " ${CMAKE_CURRENT_BINARY_DIR})

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE
        Release
        CACHE STRING "Type of build, options are: None, Debug, Release, RelWithDebInfo, MinSizeRel." FORCE
    )
endif(NOT CMAKE_BUILD_TYPE)

if(CMAKE_BUILD_TYPE MATCHES "Release")
    message(STATUS "Compiling in release mode.")
    add_definitions("-DQT_NO_DEBUG_OUTPUT")
endif()

if(CMAKE_BUILD_TYPE MATCHES "Debug")
    message(STATUS "Compiling in debug mode: ${MAKE_TEST}.")
    message(STATUS "Add definition -ggdb3 to format debug output for GDB.")
    add_definitions(-ggdb3)
endif()

if(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
    message(STATUS "Compiling in release with debug info mode.")
endif(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")

message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}")

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location
if(CMAKE_INSTALL_PREFIX)
    set(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
endif()

# Subdirectories
message(STATUS "Adding subdirectory src for PROJECT: ${PROJECT}")
add_subdirectory(src)

# There are situations where we do not want CPack processing.
# For that, configure the build using -DNO_CPACK=1.

if(NOT NO_CPACK)

    message("STATUS: Now managing the CPack process")

    set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
    set(CPACK_GENERATOR "STGZ;TGZ;TZ")
    set(CPACK_OUTPUT_CONFIG_FILE "./CPackConfig.cmake")
    #set(CPACK_PACKAGE_DESCRIPTION_FILE ${LIBODSSTREAM_SOURCE_DIR}/COPYING)
    set(CPACK_PACKAGE_DESCRIPTION_SUMMARY
        "A library that contains a subset of the ProteoWizard libpwiz library with code mainly aimed at loading MS files (XML-based and MGF)."
    )
    set(CPACK_PACKAGE_EXECUTABLES "libpwizlite")
    set(CPACK_SOURCE_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}")
    set(CPACK_SYSTEM_NAME "Linux-i686")
    set(CPACK_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}-${CPACK_SYSTEM_NAME}")
    set(CPACK_PACKAGE_INSTALL_DIRECTORY "libpwizlite ${PWIZLITE_VERSION}")
    set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "libpwizlite ${PWIZLITE_VERSION}")
    set(CPACK_PACKAGE_NAME "libpwizlite")
    set(CPACK_PACKAGE_VENDOR "PAPPSO")
    set(CPACK_PACKAGE_VERSION ${PWIZLITE_VERSION})
    set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/debian/copyright)
    set(CPACK_SOURCE_GENERATOR "TGZ;TZ")
    set(CPACK_SOURCE_OUTPUT_CONFIG_FILE "./CPackSourceConfig.cmake")
    set(CPACK_SOURCE_STRIP_FILES "")
    set(CPACK_SYSTEM_NAME "Linux-i686")
    set(CPACK_TOPLEVEL_TAG "Linux-i686")
    set(CPACK_SOURCE_PACKAGE_FILE_NAME "libpwizlite-${PWIZLITE_VERSION}")

    set(CPACK_SOURCE_IGNORE_FILES
        "\\\\.cache/"
        ".*\\\\.tar\\\\.gz"
        "moc_.*cxx"
        "\\\\.#.*"
        ".*\\\\.aux"
        ".*\\\\.bbl"
        ".*\\\\.blg"
        ".*\\\\.log"
        ".*\\\\.out"
        ".*\\\\.toc"
        "/devel_archives/"
        "/doc\\\\/html/"
        "/doc\\\\/latex/"
        "Makefile"
        "install_manifest.txt"
        "CMakeCache.txt"
        "CPackConfig.cmake"
        "CPackSourceConfig.cmake"
        "/CMakeFiles/"
        "/_CPack_Packages/"
        "/Debug/"
        "/Release/"
        "/tests/"
        "/\\\\.externalToolBuilders/"
        "/\\\\.git/"
        "/\\\\.kdev4/"
        "development.kdev4"
        "/\\\\.settings/"
        "Makefile"
        "\\\\.cdtbuild"
        "\\\\.cdtproject"
        "\\\\.project"
        "\\\\.cproject"
        "/win32/"
        "/win64/"
        "/build/"
        "/buildwin64/"
        "/cbuild/"
        "/wbuild/"
        "/bin/"
        "/buildmingw/"
        "test\\\\.ods"
        "buildwin32.cmd"
        "libpwizlite.so"
        "OpenDocument-v1.0-os.pdf"
        "debian/"
        "compile_commands.json"
    )

    set(CPACK_PACKAGE_EXECUTABLES "libpwizlite" "libpwizlite")

    # for debian package :
    set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Olivier Langella <olivier.langella@u-psud.fr>")
    set(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <olivier.langella@u-psud.fr>")

    set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
    set(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "lib${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION}.orig")
    include(CPack)

    # to create a TGZ archive of the  source code type shell command
    # cpack -G TGZ --config CPackSourceConfig.cmake

    add_custom_target(
        targz
        cpack
        -G
        TGZ
        --config
        CPackSourceConfig.cmake
        &&
        tar
        xvfz
        libpwizlite-${PWIZLITE_VERSION}.tar.gz
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        COMMENT "Creating .tar.gz"
        VERBATIM
    )

    add_custom_target(
        deb
        ln
        -s
        libpwizlite-${PWIZLITE_VERSION}.tar.gz
        libpwizlite_${PWIZLITE_VERSION}.orig.tar.gz
        &&
        cd
        libpwizlite-${PWIZLITE_VERSION}
        &&
        dpkg-buildpackage
        -B
        DEPENDS targz
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        COMMENT "Creating Debian package"
        VERBATIM
    )

    add_custom_target(
        debsrc
        ln
        -s
        libpwizlite-${PWIZLITE_VERSION}.tar.gz
        libpwizlite_${PWIZLITE_VERSION}.orig.tar.gz
        &&
        cd
        libpwizlite-${PWIZLITE_VERSION}
        &&
        debuild
        -S
        -sa
        DEPENDS targz
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        COMMENT "Creating Debian package"
        VERBATIM
    )

else()

    message("STATUS: Not including CPack")

endif(NOT NO_CPACK)

#############################################################
###########################
# CREATE THE SOURCE PACKAGE
include(${CMAKE_UTILS_PATH}/targz-source-package-creation.cmake)
message("Including file : ${CMAKE_UTILS_PATH}/targz-source-package-creation.cmake")
message("After file inclusion CPACK_SOURCE_IGNORE_FILES: ${CPACK_SOURCE_IGNORE_FILES}")

add_custom_target(
    archive
    cpack
    -G
    TGZ
    --config
    CPackSourceConfig.cmake
    &&
    mv
    ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}-${PWIZLITE_VERSION}.tar.gz
    ${CMAKE_SOURCE_DIR}/../tarballs
    &&
    ln
    -sf
    ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${PWIZLITE_VERSION}.tar.gz
    ${CMAKE_SOURCE_DIR}/../${CMAKE_PROJECT_NAME}_${PWIZLITE_VERSION}.orig.tar.gz
    &&
    ln
    -sf
    ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}-${PWIZLITE_VERSION}.tar.gz
    ${CMAKE_SOURCE_DIR}/../tarballs/${CMAKE_PROJECT_NAME}_${PWIZLITE_VERSION}.orig.tar.gz
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "Creating .tar.gz"
    VERBATIM
)

=== debian/changelog ===
libpwizlite (3.0.10-1) unstable; urgency=low

  * New updated source tree using the github git repos (git clone of master
    today, commit 15279682f644e55e27333dead7929c8533854916),
    then used the maintainer-scripts/extract-files-from-proteowizard-source-tree.sh.
  * This new version that fixes the build with boost1.88.
  * Took advantage to remove support for MZMLb, which is not needed
    # pwiz/data/msdata/mzmlb/Connection_mzMLb.cpp in src/CMakeLists.txt
    and adding flag with add_definitions(-DWITHOUT_MZ5 -DWITHOUT_MZMLB)
  * Standards-Version: 4.7.2 (no specific modifs performed).

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 07 Sep 2025 15:57:48 +0200

libpwizlite (3.0.9-1~bookworm+1) bookworm; urgency=medium

  * New version for new Debian package, backport to bookworm.

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 26 Jun 2025 10:26:03 +0200

libpwizlite (3.0.9-1) unstable; urgency=low

  * New version for new Debian package.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 29 May 2025 06:09:05 +0200

libpwizlite (3.0.8-1~bookworm+1) bookworm; urgency=medium

  * debian package for PAPPSO bookworm repository

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 28 May 2024 14:40:23 +0200

=== debian/control ===
Source: libpwizlite
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 dh-exec,
 dpkg-dev (>= 1.18.25),
 libboost1.88-dev,
 libboost-thread1.88-dev,
 libboost-filesystem1.88-dev,
 libboost-iostreams1.88-dev,
 libboost-chrono1.88-dev,
 libboost-random1.88-dev,
 zlib1g-dev,
 python3-docutils
Standards-Version: 4.7.2
Section: libs
Homepage: https://salsa.debian.org/debichem-team/libpwizlite
Vcs-Browser: https://salsa.debian.org/debichem-team/libpwizlite
Vcs-Git: https://salsa.debian.org/debichem-team/libpwizlite.git


Package: libpwizlite-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpwizlite3t64 (= ${binary:Version}),
 ${misc:Depends}
Replaces: libpwizlite-dev (<< ${binary:Version})
Description: Library to load mzML/mzXML files (dev files)
 This library is a dumbed-down version of the Proteowizard library.
 This library only contains the required features to
 load standard mzML/mzXML mass spectrometry data files.
 .
 See http://proteowizard.sourceforge.net/ for the original project.
 .
 This package ships the development files.


Package: libpwizlite3t64
Provides: ${t64:Provides}
Breaks: libpwizlite3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends}
Replaces: libpwizlite3, libpwizlite3t64 (<< ${binary:Version})
Description: Library to load mzML/mzXML files (runtime files)
 This library is a dumbed-down version of the Proteowizard library.
 This library only contains the required features to
 load standard mzML/mzXML mass spectrometry data files.
 .
 See http://proteowizard.sourceforge.net/ for the original project.
 .
 This package ships the runtime library files.

=== debian/rules ===
#!/usr/bin/make -f


# FR the include below loads various mk files:
#
include /usr/share/dpkg/default.mk
#
# include $(dpkg_datadir)/architecture.mk
# include $(dpkg_datadir)/buildflags.mk
# include $(dpkg_datadir)/pkg-info.mk
# include $(dpkg_datadir)/vendor.mk

# export DH_VERBOSE=1
# export DH_OPTIONS=-v

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export build_multiarch_dir ?= $(shell dpkg-architecture -q DEB_BUILD_MULTIARCH)

# Hardening stuff, see http://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

# For automating the d/*.links stuff.
export LIB_VERSION=$(DEB_VERSION_UPSTREAM)
export LIB_SOVERSION=3

%:
	dh $@ --build-system=cmake

override_dh_auto_clean:

	rm -f debian/libpwizlite.3
	rm -rf debian/includes
	rm -rf obj-$(build_multiarch_dir)

	dh_clean


override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/usr" \
		-DCMAKE_BUILD_TYPE=release

	rst2man debian/libpwizlite.3.rst > debian/libpwizlite.3

	sh debian/make-included-headers-hierarchy.sh

## libpwizlite 3.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 set(PWIZLITE_VERSION_MAJOR "3")
 set(PWIZLITE_VERSION_MINOR "0")
-set(PWIZLITE_VERSION_PATCH "10")
+set(PWIZLITE_VERSION_PATCH "11")
 set(PWIZLITE_VERSION "${PWIZLITE_VERSION_MAJOR}.${PWIZLITE_VERSION_MINOR}.${PWIZLITE_VERSION_PATCH}")
 
 message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")
@@ -93,7 +93,7 @@
 #############################################################
 # Platform-specific CMake configuration
 if(MXE)
-    include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
+    include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain-$ENV{USER}.cmake)
 
     # Set the name to the systemUname variable because in this situation that name
     # is not found, it it passed as a flag in the command line.
@@ -284,6 +284,11 @@
         libpwizlite-${PWIZLITE_VERSION}.tar.gz
         libpwizlite_${PWIZLITE_VERSION}.orig.tar.gz
         &&
+        cp
+        -r
+        ${CMAKE_SOURCE_DIR}/debian
+        libpwizlite-${PWIZLITE_VERSION}
+        &&
         cd
         libpwizlite-${PWIZLITE_VERSION}
         &&

=== src/CMakeLists.txt ===
#############################################################
# Enable warnings and possibly treat them as errors
message(STATUS "${BoldYellow}Setting -Wall.${ColourReset}")
add_definitions(-Wall)
if(WARN_AS_ERROR)
    message(STATUS "${BoldYellow}Warnings treated as errors.${ColourReset}")
    add_definitions(-Werror)
endif()

find_package(ZLIB REQUIRED)


# BOOST
if(NOT Boost_FOUND)
    message(STATUS "Boost not yet found. Searching for it.")
    find_package(Boost COMPONENTS iostreams thread filesystem chrono REQUIRED)
endif()
message(STATUS "Boost_LIBRARIES found ${Boost_LIB_VERSION}")
message(STATUS "Boost_INCLUDES: ${Boost_INCLUDE_DIRS}")
message(STATUS "Boost_LIB_DIRS: ${Boost_LIBRARY_DIRS}")


set(pwizlite_RCCS libpwizliteresources.qrc)

# File list
# find ./ -type f \( -iname "*.h" -o -iname "*.[ch]pp" -o -iname "*.inl" -o -iname "*.dk1" \) | grep \.cpp$ | sed 's/^\.\///'
set(pwizlite_SRCS
    #
    # PWIZ
    pwiz/data/common/ParamTypes.cpp
    pwiz/data/common/CVTranslator.cpp
    pwiz/data/common/cv.cpp
    pwiz/data/common/diff_std.cpp
    pwiz/data/msdata/ChromatogramList_mzML.cpp
    pwiz/data/msdata/LegacyAdapter.cpp
    pwiz/data/msdata/MSNumpress.cpp
    pwiz/data/msdata/References.cpp
    pwiz/data/msdata/SpectrumInfo.cpp
    pwiz/data/msdata/SpectrumList_BTDX.cpp
    pwiz/data/msdata/SpectrumList_mzML.cpp
    pwiz/data/msdata/SpectrumList_mzXML.cpp
    pwiz/data/msdata/Version.cpp
    pwiz/data/msdata/BinaryDataEncoder.cpp
    pwiz/data/msdata/DefaultReaderList.cpp
    pwiz/data/msdata/IO.cpp
    pwiz/data/msdata/Index_mzML.cpp
    pwiz/data/msdata/MSData.cpp
    pwiz/data/msdata/MSDataFile.cpp
    pwiz/data/msdata/Reader.cpp
    pwiz/data/msdata/Serializer_MGF.cpp
    pwiz/data/msdata/Serializer_MSn.cpp
    pwiz/data/msdata/Serializer_mzML.cpp
    pwiz/data/msdata/Serializer_mzXML.cpp
    pwiz/data/msdata/SpectrumListBase.cpp
    pwiz/data/msdata/SpectrumList_MGF.cpp
    pwiz/data/msdata/SpectrumList_MSn.cpp
    pwiz/data/msdata/SpectrumWorkerThreads.cpp
    # Remove this source file and add definition -DWITHOUT_MZMLB in
    # src/CMakeLists.txt to build without mzMLb.
    # pwiz/data/msdata/mzmlb/Connection_mzMLb.cpp
    pwiz/utility/minimxml/SAXParser.cpp
    pwiz/utility/minimxml/XMLWriter.cpp
    pwiz/utility/misc/Base64.cpp
    pwiz/utility/misc/IterationListener.cpp
    pwiz/utility/misc/SHA1.cpp
    pwiz/utility/misc/SHA1Calculator.cpp
    pwiz/utility/misc/random_access_compressed_ifstream.cpp
    pwiz/utility/misc/BinaryData.cpp
    pwiz/utility/misc/IntegerSet.cpp
    pwiz/utility/misc/String.cpp
    pwiz/utility/misc/Filesystem.cpp)

add_definitions(-DWITHOUT_MZ5 -DWITHOUT_MZMLB)

# Build the static lib
add_library(pwizlite-static STATIC ${pwizlite_SRCS})

target_include_directories(pwizlite-static PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/boost)

set_target_properties(pwizlite-static
    PROPERTIES OUTPUT_NAME pwizlite
    CLEAN_DIRECT_OUTPUT 1
    )

target_link_libraries(pwizlite-static
    Boost::iostreams
    Boost::filesystem
    Boost::thread
    Boost::chrono
    ZLIB::ZLIB

    ${PLATFORM_SPECIFIC_LINK_LIBRARIES})


add_library(pwizlite-shared SHARED ${pwizlite_SRCS} ${pwizlite_RCC_SRCS})
set_target_properties(pwizlite-shared
    PROPERTIES OUTPUT_NAME pwizlite
    CLEAN_DIRECT_OUTPUT 1
    VERSION ${PWIZLITE_VERSION}
    SOVERSION ${PWIZLITE_VERSION_MAJOR}
    )

target_include_directories(pwizlite-shared PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/boost)

target_link_libraries(pwizlite-shared
    Boost::iostreams
    Boost::filesystem
    Boost::thread
    Boost::chrono
    ZLIB::ZLIB
    ${PLATFORM_SPECIFIC_LINK_LIBRARIES}
    )

# Install lib

install(TARGETS pwizlite-shared pwizlite-static
    LIBRARY NAMELINK_SKIP
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    # This one is for WIN32
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    )

if(MXE)
    target_compile_definitions(pwizlite-shared PUBLIC MXE)
    target_compile_definitions(pwizlite-static PUBLIC MXE)
endif(MXE)

=== debian/changelog ===
libpwizlite (3.0.11-1) unstable; urgency=low

  * Minor updates to the build framework.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 21 Oct 2025 18:40:25 +0200

## libpwizlite 3.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 set(PWIZLITE_VERSION_MAJOR "3")
 set(PWIZLITE_VERSION_MINOR "0")
-set(PWIZLITE_VERSION_PATCH "11")
+set(PWIZLITE_VERSION_PATCH "12")
 set(PWIZLITE_VERSION "${PWIZLITE_VERSION_MAJOR}.${PWIZLITE_VERSION_MINOR}.${PWIZLITE_VERSION_PATCH}")
 
 message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")

=== debian/changelog ===
libpwizlite (3.0.12-1) unstable; urgency=low

  * New upstream version to force passage to testing.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 07 Nov 2025 10:07:49 +0100

libpwizlite (3.0.10-2~trixie+1) trixie; urgency=medium

  * New version for new Debian package, backport to trixie.

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 04 Oct 2025 12:55:21 +0200

libpwizlite (3.0.10-1~trixie+1) trixie; urgency=medium

  * New version for new Debian package, backport to trixie.

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 20 Sep 2025 07:06:57 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  libboost-chrono1.88-dev,
  libboost-random1.88-dev,
  zlib1g-dev,
+# For rst2man
  python3-docutils
 Standards-Version: 4.7.2
 Section: libs

## libpwizlite 3.0.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 set(PWIZLITE_VERSION_MAJOR "3")
 set(PWIZLITE_VERSION_MINOR "0")
-set(PWIZLITE_VERSION_PATCH "12")
+set(PWIZLITE_VERSION_PATCH "14")
 set(PWIZLITE_VERSION "${PWIZLITE_VERSION_MAJOR}.${PWIZLITE_VERSION_MINOR}.${PWIZLITE_VERSION_PATCH}")
 
 message(STATUS "${BoldYellow}CMAKE_LIBRARY_ARCHITECTURE: ${CMAKE_LIBRARY_ARCHITECTURE}${ColourReset}")
@@ -105,11 +105,13 @@
 
 elseif(WIN32 OR _WIN32)
 
-    if(WIN10MINGW64)
-
-        # The file below will actually #define WIN10MINGW64 for
+    if(WIN10UCRT64)
+
+        message("Building on WIN10UCRT64")
+
+        # The file below will actually #define WIN10UCRT64 for
         # consumption by the src/pwiz/utility/misc/Filesystem.cpp file !
-        include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)
+        include(${CMAKE_TOOLCHAINS_PATH}/win10-ucrt64-toolchain.cmake)
 
     endif()
 
@@ -215,6 +217,7 @@
         "Makefile"
         "install_manifest.txt"
         "CMakeCache.txt"
+        "CMakeLists.txt.user"
         "CPackConfig.cmake"
         "CPackSourceConfig.cmake"
         "/CMakeFiles/"

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,16 +9,18 @@
 
 find_package(ZLIB REQUIRED)
 
-
 # BOOST
 if(NOT Boost_FOUND)
     message(STATUS "Boost not yet found. Searching for it.")
-    find_package(Boost COMPONENTS iostreams thread filesystem chrono REQUIRED)
+    find_package(
+        Boost
+        COMPONENTS iostreams thread filesystem chrono
+        REQUIRED
+    )
 endif()
 message(STATUS "Boost_LIBRARIES found ${Boost_LIB_VERSION}")
 message(STATUS "Boost_INCLUDES: ${Boost_INCLUDE_DIRS}")
 message(STATUS "Boost_LIB_DIRS: ${Boost_LIBRARY_DIRS}")
-
 
 set(pwizlite_RCCS libpwizliteresources.qrc)
 
@@ -68,60 +70,70 @@
     pwiz/utility/misc/BinaryData.cpp
     pwiz/utility/misc/IntegerSet.cpp
     pwiz/utility/misc/String.cpp
-    pwiz/utility/misc/Filesystem.cpp)
+    pwiz/utility/misc/Filesystem.cpp
+)
 
 add_definitions(-DWITHOUT_MZ5 -DWITHOUT_MZMLB)
 
 # Build the static lib
-add_library(pwizlite-static STATIC ${pwizlite_SRCS})
+add_library(
+    pwizlite-static STATIC
+    ${pwizlite_SRCS}
+)
 
-target_include_directories(pwizlite-static PUBLIC
-    ${CMAKE_CURRENT_SOURCE_DIR}/boost)
+target_include_directories(
+    pwizlite-static
+    PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/boost
+)
 
-set_target_properties(pwizlite-static
-    PROPERTIES OUTPUT_NAME pwizlite
-    CLEAN_DIRECT_OUTPUT 1
-    )
+set_target_properties(pwizlite-static PROPERTIES OUTPUT_NAME pwizlite CLEAN_DIRECT_OUTPUT 1)
 
-target_link_libraries(pwizlite-static
-    Boost::iostreams
-    Boost::filesystem
-    Boost::thread
-    Boost::chrono
-    ZLIB::ZLIB
-
-    ${PLATFORM_SPECIFIC_LINK_LIBRARIES})
-
-
-add_library(pwizlite-shared SHARED ${pwizlite_SRCS} ${pwizlite_RCC_SRCS})
-set_target_properties(pwizlite-shared
-    PROPERTIES OUTPUT_NAME pwizlite
-    CLEAN_DIRECT_OUTPUT 1
-    VERSION ${PWIZLITE_VERSION}
-    SOVERSION ${PWIZLITE_VERSION_MAJOR}
-    )
-
-target_include_directories(pwizlite-shared PUBLIC
-    ${CMAKE_CURRENT_SOURCE_DIR}/boost)
-
-target_link_libraries(pwizlite-shared
+target_link_libraries(
+    pwizlite-static
     Boost::iostreams
     Boost::filesystem
     Boost::thread
     Boost::chrono
     ZLIB::ZLIB
     ${PLATFORM_SPECIFIC_LINK_LIBRARIES}
-    )
+)
+
+add_library(
+    pwizlite-shared SHARED
+    ${pwizlite_SRCS} ${pwizlite_RCC_SRCS}
+)
+set_target_properties(
+    pwizlite-shared
+    PROPERTIES OUTPUT_NAME pwizlite
+               CLEAN_DIRECT_OUTPUT 1
+               VERSION ${PWIZLITE_VERSION}
+               SOVERSION ${PWIZLITE_VERSION_MAJOR}
+)
+
+target_include_directories(
+    pwizlite-shared
+    PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/boost
+)
+
+target_link_libraries(
+    pwizlite-shared
+    Boost::iostreams
+    Boost::filesystem
+    Boost::thread
+    Boost::chrono
+    ZLIB::ZLIB
+    ${PLATFORM_SPECIFIC_LINK_LIBRARIES}
+)
 
 # Install lib
 
-install(TARGETS pwizlite-shared pwizlite-static
+install(
+    TARGETS pwizlite-shared pwizlite-static
     LIBRARY NAMELINK_SKIP
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
-    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
-    # This one is for WIN32
+    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} # This one is for WIN32
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
-    )
+)
 
 if(MXE)
     target_compile_definitions(pwizlite-shared PUBLIC MXE)

=== debian/changelog ===
libpwizlite (3.0.14-1) unstable; urgency=medium

  * New version reverting changes in Filesystem.cpp.
  * In d/control, use unversioned libboost package names
  (closes: #1128107, thanks to Anton Gladky <gladk@debian.org>.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 23 Feb 2026 13:36:50 +0100

libpwizlite (3.0.13-1~trixie+1) trixie; urgency=medium

  * New version for new Debian package, backport to trixie.

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 02 Dec 2025 10:03:54 +0100

libpwizlite (3.0.13-1) trixie; urgency=low

  * Implement back the ability to build for WIN10-MSYS2.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 01 Dec 2025 12:36:21 +0100

libpwizlite (3.0.12-1~trixie+1) trixie; urgency=medium

  * New version for new Debian package, backport to trixie.

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 17 Nov 2025 13:17:47 +0100
